[Beta] Get AI Metadata for a Document

Returns the AI metadata fields populated for the document. Each result combines the field definition (id, key, field_type, settings) with the extracted value (value, acceptance_status).

Only fields that have an extracted value for the document are returned.

The endpoint signals AI extraction state via the HTTP status code:

  • 202 extraction_pending — extraction is in progress. Clients
    should retry after the number of seconds indicated in the
    Retry-After header.

  • 204 No Content — extraction has terminally failed for this
    document. No body is returned; retrying will not help — contact
    support.

  • 409 not_started — extraction has not been triggered for this
    document (typically because the document is not yet completed).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 22

The unique identifier of the document.

Query Params
integer
1 to 100
Defaults to 100

Maximum number of fields to return in one response.

integer
≥ 0
Defaults to 0

Number of fields to skip before starting to collect the result set. For predictable paging, use multiples of limit.

Responses

204

AI extraction has terminally failed for this document. No body is returned; retrying will not help — contact support.

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json